Package org.springframework.cglib.transform.impl

# Class AbstractInterceptFieldCallback

java.lang.Object
org.springframework.cglib.transform.impl.AbstractInterceptFieldCallback

All Implemented Interfaces:
  `InterceptFieldCallback`

public class AbstractInterceptFieldCallback extends Object implements InterceptFieldCallback

Author:
  Chris Nokleberg

## Constructor Summary

Constructors
Constructor
Description
`AbstractInterceptFieldCallback()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`readBoolean(Object obj, String name, boolean oldValue)`
`byte`
`readByte(Object obj, String name, byte oldValue)`
`char`
`readChar(Object obj, String name, char oldValue)`
`double`
`readDouble(Object obj, String name, double oldValue)`
`float`
`readFloat(Object obj, String name, float oldValue)`
`int`
`readInt(Object obj, String name, int oldValue)`
`long`
`readLong(Object obj, String name, long oldValue)`
`Object`
`readObject(Object obj, String name, Object oldValue)`
`short`
`readShort(Object obj, String name, short oldValue)`
`boolean`
`writeBoolean(Object obj, String name, boolean oldValue, boolean newValue)`
`byte`
`writeByte(Object obj, String name, byte oldValue, byte newValue)`
`char`
`writeChar(Object obj, String name, char oldValue, char newValue)`
`double`
`writeDouble(Object obj, String name, double oldValue, double newValue)`
`float`
`writeFloat(Object obj, String name, float oldValue, float newValue)`
`int`
`writeInt(Object obj, String name, int oldValue, int newValue)`
`long`
`writeLong(Object obj, String name, long oldValue, long newValue)`
`Object`
`writeObject(Object obj, String name, Object oldValue, Object newValue)`
`short`
`writeShort(Object obj, String name, short oldValue, short newValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractInterceptFieldCallback

public AbstractInterceptFieldCallback()

## Method Details

### writeInt

public int writeInt(Object obj, String name, int oldValue, int newValue)

Specified by:
  `writeInt` in interface `InterceptFieldCallback`

### writeChar

public char writeChar(Object obj, String name, char oldValue, char newValue)

Specified by:
  `writeChar` in interface `InterceptFieldCallback`

### writeByte

public byte writeByte(Object obj, String name, byte oldValue, byte newValue)

Specified by:
  `writeByte` in interface `InterceptFieldCallback`

### writeBoolean

public boolean writeBoolean(Object obj, String name, boolean oldValue, boolean newValue)

Specified by:
  `writeBoolean` in interface `InterceptFieldCallback`

### writeShort

public short writeShort(Object obj, String name, short oldValue, short newValue)

Specified by:
  `writeShort` in interface `InterceptFieldCallback`

### writeFloat

public float writeFloat(Object obj, String name, float oldValue, float newValue)

Specified by:
  `writeFloat` in interface `InterceptFieldCallback`

### writeDouble

public double writeDouble(Object obj, String name, double oldValue, double newValue)

Specified by:
  `writeDouble` in interface `InterceptFieldCallback`

### writeLong

public long writeLong(Object obj, String name, long oldValue, long newValue)

Specified by:
  `writeLong` in interface `InterceptFieldCallback`

### writeObject

public Object writeObject(Object obj, String name, Object oldValue, Object newValue)

Specified by:
  `writeObject` in interface `InterceptFieldCallback`

### readInt

public int readInt(Object obj, String name, int oldValue)

Specified by:
  `readInt` in interface `InterceptFieldCallback`

### readChar

public char readChar(Object obj, String name, char oldValue)

Specified by:
  `readChar` in interface `InterceptFieldCallback`

### readByte

public byte readByte(Object obj, String name, byte oldValue)

Specified by:
  `readByte` in interface `InterceptFieldCallback`

### readBoolean

public boolean readBoolean(Object obj, String name, boolean oldValue)

Specified by:
  `readBoolean` in interface `InterceptFieldCallback`

### readShort

public short readShort(Object obj, String name, short oldValue)

Specified by:
  `readShort` in interface `InterceptFieldCallback`

### readFloat

public float readFloat(Object obj, String name, float oldValue)

Specified by:
  `readFloat` in interface `InterceptFieldCallback`

### readDouble

public double readDouble(Object obj, String name, double oldValue)

Specified by:
  `readDouble` in interface `InterceptFieldCallback`

### readLong

public long readLong(Object obj, String name, long oldValue)

Specified by:
  `readLong` in interface `InterceptFieldCallback`

### readObject

public Object readObject(Object obj, String name, Object oldValue)

Specified by:
  `readObject` in interface `InterceptFieldCallback`